// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: ARF
// Author: Richard Saxton
//
// Description: Provides an interface to ARF data
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: ARF.h,v 1.1 2013/04/02 17:58:21 aibarra Exp $

#ifndef ARF_H
#define ARF_H

// General classes
#include<cassert>

#include <string>
#include <iostream>
#include <vector>
#include <map>

// SAS-specific classes

#include "Dal.h"
#include "errstr.h"
#include "EnergySpectrum.h"

// Utility functions
#include "Tracer.h"

using namespace std;
// -----------------------------------------------------------------------------------

// class ARF

// Supports data consisting of an energy, energy width and effective area

// -----------------------------------------------------------------------------------

class ARF : public EnergySpectrum {

public:

  /* Constructor - from a fluxed spectrum */
  ARF(const string & arfName);

  /* Destructor */
  ~ARF();

private:

  // Suppress default constructor
  ARF();

  // Variables

//   const int _LOWER_BOUND_VALUE = 0;
//   const int _UPPER_BOUND_VALUE = 0;

};


#endif




