// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.


#ifndef RSPMANIP_H
#define RSPMANIP_H

#include <vector>
#include <iostream>
#include "ARF.h"
#include "RMF.h"
#include "EpicInstrInfo.h"

using namespace std;

class  RspManip {

public:
	RspManip(){}
	~RspManip();
	void addResponses(std::vector<std::string> arf,
			std::vector<std::string> rmf, EpicInstrInfo *e);
	void writeRsp(RMF *r, int tlmin, int tlmax, string outFName);
	void addAttributesTo(Table* table,
			const string& hduclas2, int detchans);
	void combineRMFandARF(RMF *r, ARF *a);
	void combineRSP(vector<RMF*> rmfs,EpicInstrInfo *e, unsigned lgst);
private:
	string _rspName;
	vector<string> _rspNames;

};



#endif

